Index: trunk/NEMO/LIM_SRC_2/dom_ice_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/dom_ice_2.F90	(revision 833)
+++ trunk/NEMO/LIM_SRC_2/dom_ice_2.F90	(revision 888)
@@ -1,4 +1,3 @@
 MODULE dom_ice_2
-#if defined key_lim2
    !!======================================================================
    !!                   ***  MODULE  dom_ice  ***
@@ -7,8 +6,8 @@
    !! History :   2.0  !  03-08  (C. Ethe)  Free form and module
    !!----------------------------------------------------------------------
-
+#if defined key_lim2
    !!----------------------------------------------------------------------
    !!   LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header$
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/LIM_SRC_2/ice_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/ice_2.F90	(revision 833)
+++ trunk/NEMO/LIM_SRC_2/ice_2.F90	(revision 888)
@@ -4,14 +4,13 @@
    !! Sea Ice physics:  diagnostics variables of ice defined in memory
    !!=====================================================================
+   !! History :  2.0  !  03-08  (C. Ethe)  F90: Free form and module
+   !!----------------------------------------------------------------------
 #if defined key_lim2
    !!----------------------------------------------------------------------
    !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !! History :
-   !!   2.0  !  03-08  (C. Ethe)  F90: Free form and module
-   !!----------------------------------------------------------------------
-   !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !!  LIM 2.0, UCL-LOCEAN-IPSL (2006)
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -21,103 +20,85 @@
    PRIVATE
 
-   !! * Share Module variables
-   INTEGER , PUBLIC ::   & !!: ** ice-dynamic namelist (namicedyn) **
-      nbiter = 1      ,  &  !: number of sub-time steps for relaxation
-      nbitdr = 250          !: maximum number of iterations for relaxation
+   !!* ice-dynamic namelist (namicedyn) *
+   INTEGER , PUBLIC ::   nbiter = 1         !: number of sub-time steps for relaxation
+   INTEGER , PUBLIC ::   nbitdr = 250       !: maximum number of iterations for relaxation
+   REAL(wp), PUBLIC ::   epsd   = 1.0e-20   !: tolerance parameter for dynamic
+   REAL(wp), PUBLIC ::   alpha  = 0.5       !: coefficient for semi-implicit coriolis
+   REAL(wp), PUBLIC ::   dm     = 0.6e+03   !: diffusion constant for dynamics
+   REAL(wp), PUBLIC ::   om     = 0.5       !: relaxation constant
+   REAL(wp), PUBLIC ::   resl   = 5.0e-05   !: maximum value for the residual of relaxation
+   REAL(wp), PUBLIC ::   cw     = 5.0e-03   !: drag coefficient for oceanic stress
+   REAL(wp), PUBLIC ::   angvg  = 0.e0      !: turning angle for oceanic stress
+   REAL(wp), PUBLIC ::   pstar  = 1.0e+04   !: first bulk-rheology parameter
+   REAL(wp), PUBLIC ::   c_rhg  = 20.e0     !: second bulk-rhelogy parameter
+   REAL(wp), PUBLIC ::   etamn  = 0.e+07    !: minimun value for viscosity
+   REAL(wp), PUBLIC ::   creepl = 2.e-08    !: creep limit
+   REAL(wp), PUBLIC ::   ecc    = 2.e0      !: eccentricity of the elliptical yield curve
+   REAL(wp), PUBLIC ::   ahi0   = 350.e0    !: sea-ice hor. eddy diffusivity coeff. (m2/s)
 
-   REAL(wp), PUBLIC ::   & !!: ** ice-dynamic namelist (namicedyn) **
-      epsd   = 1.0e-20,  &  !: tolerance parameter for dynamic
-      alpha  = 0.5    ,  &  !: coefficient for semi-implicit coriolis
-      dm     = 0.6e+03,  &  !: diffusion constant for dynamics
-      om     = 0.5    ,  &  !: relaxation constant
-      resl   = 5.0e-05,  &  !: maximum value for the residual of relaxation
-      cw     = 5.0e-03,  &  !: drag coefficient for oceanic stress
-      angvg  = 0.e0   ,  &  !: turning angle for oceanic stress
-      pstar  = 1.0e+04,  &  !: first bulk-rheology parameter
-      c_rhg  = 20.e0  ,  &  !: second bulk-rhelogy parameter
-      etamn  = 0.e+07,   &  !: minimun value for viscosity
-      creepl = 2.e-08,   &  !: creep limit
-      ecc    = 2.e0   ,  &  !: eccentricity of the elliptical yield curve
-      ahi0   = 350.e0       !: sea-ice hor. eddy diffusivity coeff. (m2/s)
+   REAL(wp), PUBLIC ::   usecc2             !:  = 1.0 / ( ecc * ecc )
+   REAL(wp), PUBLIC ::   rhoco              !: = rau0 * cw
+   REAL(wp), PUBLIC ::   sangvg, cangvg     !: sin and cos of the turning angle for ocean stress
+   REAL(wp), PUBLIC ::   pstarh             !: pstar / 2.0
 
-   REAL(wp), PUBLIC ::   &  !:
-      usecc2          ,  &  !:  = 1.0 / ( ecc * ecc )
-      rhoco           ,  &  !: = rau0 * cw
-      sangvg, cangvg  ,  &  !: sin and cos of the turning angle for ocean stress
-      pstarh                !: pstar / 2.0
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ahiu , ahiv   !: hor. diffusivity coeff. at ocean U- and V-points (m2/s)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   pahu , pahv   !: ice hor. eddy diffusivity coef. at ocean U- and V-points
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hsnm , hicm   !: mean snow and ice thicknesses
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ust2s                 !: friction velocity
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::  &  !:
-      u_oce, v_oce,      &  !: surface ocean velocity used in ice dynamics
-      ahiu , ahiv ,      &  !: hor. diffusivity coeff. at ocean U- and V-points (m2/s)
-      pahu , pahv ,      &  !: ice hor. eddy diffusivity coef. at ocean U- and V-points
-      hsnm , hicm ,      &  !: mean snow and ice thicknesses
-      ust2s                 !: friction velocity
+   !!* diagnostic quantities
+!! REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   firic         !: IR flux over the ice (only used for outputs)
+!! REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fcsic         !: Sensible heat flux over the ice (only used for outputs)
+!! REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fleic         !: Latent heat flux over the ice (only used for outputs)
+!! REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qlatic        !: latent flux (only used for outputs)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvosif       !: Variation of volume at surface (only used for outputs)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvobif       !: Variation of ice volume at the bottom ice (only used for outputs)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fdvolif       !: Total variation of ice volume (only used for outputs)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvonif       !: Lateral Variation of ice volume (only used for outputs)
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::  &  !:
-        sst_ini,         &  !: sst read from a file for ice model initialization 
-        sss_ini             !: sss read from a file for ice model initialization 
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sist          !: Sea-Ice Surface Temperature (Kelvin ??? degree ??? I don't know)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   tfu           !: Freezing/Melting point temperature of sea water at SSS
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hicif         !: Ice thickness
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hsnif         !: Snow thickness
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hicifp        !: Ice production/melting
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   frld          !: Leads fraction = 1-a/totalarea
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   phicif        !: ice thickness  at previous time 
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   pfrld         !: Leads fraction at previous time  
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qstoif        !: Energy stored in the brine pockets
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fbif          !: Heat flux at the ice base
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdmsnif       !: Variation of snow mass
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdmicif       !: Variation of ice mass
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qldif         !: heat balance of the lead (or of the open ocean)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qcmif         !: Energy needed to bring the ocean surface layer until its freezing 
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fdtcn         !: net downward heat flux from the ice to the ocean
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qdtcn         !: energy from the ice to the ocean point (at a factor 2)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   thcm          !: part of the solar energy used in the lead heat budget
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fstric        !: Solar flux transmitted trough the ice
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ffltbif       !: Array linked with the max heat contained in brine pockets (?)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fscmbq        !: Linked with the solar flux below the ice (?)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fsbbq         !: Also linked with the solar flux below the ice (?)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qfvbq         !: Array used to store energy in case of toral lateral ablation (?)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   dmgwi         !: Variation of the mass of snow ice
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  !:
-      firic  ,   &  !: IR flux over the ice (only used for outputs)
-      fcsic  ,   &  !: Sensible heat flux over the ice (only used for outputs)
-      fleic  ,   &  !: Latent heat flux over the ice (only used for outputs)
-      qlatic ,   &  !: latent flux
-      rdvosif,   &  !: Variation of volume at surface (only used for outputs)
-      rdvobif,   &  !: Variation of ice volume at the bottom ice (only used for outputs)
-      fdvolif,   &  !: Total variation of ice volume (only used for outputs)
-      rdvonif,   &  !: Lateral Variation of ice volume (only used for outputs)
-      sist   ,   &  !: Sea-Ice Surface Temperature (Kelvin ??? degree ??? I don't know)
-      tfu    ,   &  !: Melting point temperature of sea water
-      hsnif  ,   &  !: Snow thickness
-      hicif  ,   &  !: Ice thickness
-      hicifp ,   &  !: Ice production/melting
-      frld   ,   &  !: Leads fraction = 1-a/totalarea
-      phicif ,   &  !: ice thickness  at previous time 
-      pfrld  ,   &  !: Leads fraction at previous time  
-      qstoif ,   &  !: Energy stored in the brine pockets
-      fbif   ,   &  !: Heat flux at the ice base
-      rdmsnif,   &  !: Variation of snow mass
-      rdmicif,   &  !: Variation of ice mass
-      qldif  ,   &  !: heat balance of the lead (or of the open ocean)
-      qcmif  ,   &  !: Energy needed to bring the ocean surface layer until its freezing 
-      fdtcn  ,   &  !: net downward heat flux from the ice to the ocean
-      qdtcn  ,   &  !: energy from the ice to the ocean
-      !             !  point (at a factor 2)
-      thcm   ,   &  !: part of the solar energy used in the lead heat budget
-      fstric ,   &  !: Solar flux transmitted trough the ice
-      ffltbif,   &  !: Array linked with the max heat contained in brine pockets (?)
-      fscmbq ,   &  !: Linked with the solar flux below the ice (?)
-      fsbbq  ,   &  !: Also linked with the solar flux below the ice (?)
-      qfvbq  ,   &  !: Array used to store energy in case of toral lateral ablation (?)
-      dmgwi         !: Variation of the mass of snow ice
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   albege        !: Albedo of the snow or ice (only for outputs)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   albecn        !: Albedo of the ocean (only for outputs)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   tauc          !: Cloud optical depth
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  !:
-      albege ,   &  !: Albedo of the snow or ice (only for outputs)
-      albecn ,   &  !: Albedo of the ocean (only for outputs)
-      tauc   ,   &  !: Cloud optical depth
-      sdvt          !: u*^2/(Stress/density)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ui_ice, vi_ice   !: two components of the ice   velocity at I-point (m/s)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ui_oce, vi_oce   !: two components of the ocean velocity at I-point (m/s)
 
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpsmax)     ::   scal0   !: ???
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jplayersp1) ::   tbif  !: Temperature inside the ice/snow layer
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  !:
-      u_ice, v_ice,   &  !: two components of the ice velocity (m/s)
-      tio_u, tio_v       !: two components of the ice-ocean stress (N/m2)
+!! REAL(wp), DIMENSION(jpi,jpj,0:jpkmax+1) ::   reslum        !: Relative absorption of solar radiation in each ocean level
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpsmax) ::   &  !:
-      scal0              !: ???
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jplayersp1) ::   &  !:
-      tbif          !: Temperature inside the ice/snow layer
-
-   REAL(wp), DIMENSION(jpi,jpj,0:jpkmax+1) ::    &  !:
-      reslum        !: Relative absorption of solar radiation in each ocean level
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  !:
-         sxice, syice, sxxice, syyice, sxyice,      &  !: moments for advection
-         sxsn,  sysn,  sxxsn,  syysn,  sxysn,       &  !:
-         sxa,   sya,   sxxa,   syya,   sxya,        &  !:
-         sxc0,  syc0,  sxxc0,  syyc0,  sxyc0,       &  !:
-         sxc1,  syc1,  sxxc1,  syyc1,  sxyc1,       &  !:
-         sxc2,  syc2,  sxxc2,  syyc2,  sxyc2,       &  !:
-         sxst,  syst,  sxxst,  syyst,  sxyst           !:
+   !!* moment used in the advection scheme
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sxice, syice, sxxice, syyice, sxyice   !: for ice  volume
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sxsn,  sysn,  sxxsn,  syysn,  sxysn    !: for snow volume
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sxa,   sya,   sxxa,   syya,   sxya     !: for ice cover area
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sxc0,  syc0,  sxxc0,  syyc0,  sxyc0    !: for heat content of snow
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sxc1,  syc1,  sxxc1,  syyc1,  sxyc1    !: for heat content of 1st ice layer
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sxc2,  syc2,  sxxc2,  syyc2,  sxyc2    !: for heat content of 2nd ice layer
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sxst,  syst,  sxxst,  syyst,  sxyst    !: for heat content of brine pockets
 
 #else
Index: trunk/NEMO/LIM_SRC_2/iceini_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/iceini_2.F90	(revision 833)
+++ trunk/NEMO/LIM_SRC_2/iceini_2.F90	(revision 888)
@@ -17,7 +17,7 @@
    USE dom_oce
    USE dom_ice_2
-   USE in_out_manager
    USE ice_oce         ! ice variables
-   USE flx_oce
+   USE sbc_oce         ! surface boundary condition: ocean
+   USE sbc_ice         ! surface boundary condition: ice
    USE phycst          ! Define parameters for the routines
    USE ocfzpt
@@ -27,4 +27,5 @@
    USE limrst_2   
    USE ini1d           ! initialization of the 1D configuration
+   USE in_out_manager
       
    IMPLICIT NONE
@@ -40,5 +41,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $ Id: $ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -62,11 +63,6 @@
                  
       ! Louvain la Neuve Ice model
-      IF( nacc == 1 ) THEN
-          dtsd2   = nfice * rdtmin * 0.5
-          rdt_ice = nfice * rdtmin
-      ELSE
-          dtsd2   = nfice * rdt * 0.5
-          rdt_ice = nfice * rdt
-      ENDIF
+      dtsd2   = nn_fsbc * rdttra(1) * 0.5
+      rdt_ice = nn_fsbc * rdttra(1)
 
       CALL lim_msh_2                  ! ice mesh initialization
Index: trunk/NEMO/LIM_SRC_2/limadv_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/limadv_2.F90	(revision 833)
+++ trunk/NEMO/LIM_SRC_2/limadv_2.F90	(revision 888)
@@ -33,5 +33,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $ Id: $ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/LIM_SRC_2/limdia_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/limdia_2.F90	(revision 833)
+++ trunk/NEMO/LIM_SRC_2/limdia_2.F90	(revision 888)
@@ -19,4 +19,5 @@
    USE par_ice_2       ! ice parameters
    USE ice_oce         ! ice variables
+   USE sbc_oce         ! surface boundary condition variables
    USE daymod          !
    USE dom_ice_2       !
@@ -28,5 +29,5 @@
    PRIVATE
 
-   PUBLIC               lim_dia_2          ! called by ice_step
+   PUBLIC               lim_dia_2          ! called by sbc_ice_lim_2
    INTEGER, PUBLIC ::   ntmoy   = 1 ,   &  !: instantaneous values of ice evolution or averaging ntmoy
       &                 ninfo   = 1        !: frequency of ouputs on file ice_evolu in case of averaging
@@ -58,5 +59,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limdia.F90,v 1.9 2007/06/29 17:03:12 opalod Exp $ 
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -87,5 +88,5 @@
 
       nv = 1 
-      vinfor(nv) = REAL( kt + nfice - 1 )
+      vinfor(nv) = REAL( kt + nn_fsbc - 1 )
       nv = nv + 1
       vinfor(nv) = nyear
@@ -107,6 +108,6 @@
                zicevol = zarea   * hicif(ji,jj)
                zsnwvol = zarea   * hsnif(ji,jj)
-               zicespd = zicevol * ( u_ice(ji,jj) * u_ice(ji,jj)   &
-                  &                + v_ice(ji,jj) * v_ice(ji,jj) )
+               zicespd = zicevol * ( ui_ice(ji,jj) * ui_ice(ji,jj)   &
+                  &                + vi_ice(ji,jj) * vi_ice(ji,jj) )
                vinfor(nv+ 1) = vinfor(nv+ 1) + zarea
                vinfor(nv+ 3) = vinfor(nv+ 3) + zextent15
@@ -133,6 +134,6 @@
                 zicevol = zarea   * hicif(ji,jj)
                 zsnwvol = zarea   * hsnif(ji,jj)
-                zicespd = zicevol * ( u_ice(ji,jj) * u_ice(ji,jj)   &
-                   &                + v_ice(ji,jj) * v_ice(ji,jj) )
+                zicespd = zicevol * ( ui_ice(ji,jj) * ui_ice(ji,jj)   &
+                   &                + vi_ice(ji,jj) * vi_ice(ji,jj) )
                 vinfor(nv+ 1) = vinfor(nv+ 1) + zarea
                 vinfor(nv+ 3) = vinfor(nv+ 3) + zextent15
@@ -154,5 +155,5 @@
     
        ! oututs on file ice_evolu    
-       IF( MOD( kt + nfice - 1, ninfo ) == 0 ) THEN
+       IF( MOD( kt + nn_fsbc - 1, ninfo ) == 0 ) THEN
           WRITE(numevo_ice,fmtw) ( titvar(jv), vinfom(jv)/naveg, jv = 1, nvinfo )
           naveg = 0
@@ -227,8 +228,8 @@
 
        ! Definition et Ecriture de l'entete : nombre d'enregistrements 
-       ndeb   = ( nit000 - 1 + nfice - 1 ) / ninfo
-       IF( nit000 - 1 + nfice == 1 ) ndeb = -1
-
-       nferme = ( nitend + nfice - 1 ) / ninfo ! nit000 - 1 + nfice - 1 + nitend - nit000 + 1
+       ndeb   = ( nit000 - 1 + nn_fsbc - 1 ) / ninfo
+       IF( nit000 - 1 + nn_fsbc == 1 ) ndeb = -1
+
+       nferme = ( nitend + nn_fsbc - 1 ) / ninfo ! nit000 - 1 + nn_fsbc - 1 + nitend - nit000 + 1
        ntot   = nferme - ndeb
        ndeb   = ninfo * ( 1 + ndeb )
Index: trunk/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 833)
+++ trunk/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 888)
@@ -40,5 +40,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0 , UCL-LOCEAN-IPSL  (2006)
-   !! $Header$
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
